CREATE TABLE external_source (
	group_id integer NOT NULL,
	source varchar(32) NOT NULL DEFAULT '',
	username varchar(1024) NOT NULL DEFAULT '',
	token text NOT NULL DEFAULT '',
    status integer NOT NULL DEFAULT 0,
    updated_time integer NOT NULL DEFAULT 0,
	CONSTRAINT external_source_uk UNIQUE (group_id),
	CONSTRAINT external_source_group_id_fk FOREIGN KEY (group_id)
		REFERENCES contact_group (id) MATCH FULL
		ON UPDATE CASCADE ON DELETE CASCADE
);

CREATE TABLE group_mapper_tmp (
    group_id integer NOT NULL,
    contact_id integer NOT NULL,
    updated integer NOT NULL DEFAULT 0,
    CONSTRAINT group_mapper_uk UNIQUE (group_id, contact_id),
    CONSTRAINT group_mapper_group_id_fk FOREIGN KEY (group_id)
        REFERENCES contact_group (id) MATCH FULL
        ON UPDATE CASCADE ON DELETE CASCADE
);
INSERT INTO group_mapper_tmp (group_id, contact_id, updated) SELECT group_id, contact_id, updated FROM group_mapper;
DROP TABLE group_mapper;
ALTER TABLE group_mapper_tmp RENAME TO group_mapper;

ALTER TABLE contact ADD COLUMN is_editable integer NOT NULL DEFAULT 1;
ALTER TABLE contact ADD COLUMN source varchar(32) NOT NULL DEFAULT "local";
ALTER TABLE contact_group ADD COLUMN source varchar(32) NOT NULL DEFAULT "local";
ALTER TABLE contact_group ADD COLUMN path varchar(256) NOT NULL DEFAULT "";
UPDATE contact_group SET path = name WHERE path = "";
UPDATE config SET value = '3' WHERE key = 'version';
