#!/bin/sh

PACKAGE="MailClient"
PACKAGE_DIR="/var/packages/${PACKAGE}"
FILE_PKG_INFO="${PACKAGE_DIR}/INFO"

PackageInfoGet() {
	if [ -f "${FILE_PKG_INFO}" ]; then
		PKG_NAME=`/bin/get_key_value ${FILE_PKG_INFO} package`
		PKG_VERSION=`/bin/get_key_value ${FILE_PKG_INFO} version`
		PKG_VENDOR=`/bin/get_key_value ${FILE_PKG_INFO} maintainer`
	else
		echo "package info file does not exist";
		exit 1;
	fi
}

CheckNeedReload() {
	INDEX=1
	NITEMS=$((NITEM+1))
	while [ "${INDEX}" != "${NITEMS}" ]
	do
		eval "APP_NAME=\$APP_$INDEX"
		if [ "${APP_NAME}" == "SYNO.SDS.MailClient.Application" ]; then
			NEED_RELOAD=1
			break
		fi
		INDEX=$((INDEX + 1))
	done
}

#At begining, acquire package settings
PackageInfoGet;

NOTIFY_DAEMON_BIN="${PACKAGE_DIR}/target/tool/notify_daemon"

case $1 in
	--sdk-mod-ver)
		#print SDK support version
		echo "1.0"
	;;
	--name)
		#print package name
		echo ${PKG_NAME};
	;;
	--pkg-ver)
		#print package version
		echo ${PKG_VERSION}
	;;
	--vendor)
		#printf package vendor
		echo ${PKG_VENDOR};
	;;
	--pre)
	;;
	--post)
		NEED_RELOAD=0

		if [ "0" != "${RESULT}" ]; then
			return
		fi

		CheckNeedReload

		if [ "1" = "${NEED_RELOAD}" ]; then
			${NOTIFY_DAEMON_BIN} --reload_priv
		fi
	;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac


