#!/bin/sh

PACKAGE="MailClient"
PACKAGE_DIR="/var/packages/${PACKAGE}"
FILE_PKG_INFO="${PACKAGE_DIR}/INFO"

PackageInfoGet() {
	if [ -f "${FILE_PKG_INFO}" ]; then
		PKG_NAME=`/bin/get_key_value ${FILE_PKG_INFO} package`
		PKG_VERSION=`/bin/get_key_value ${FILE_PKG_INFO} version`
		PKG_VENDOR=`/bin/get_key_value ${FILE_PKG_INFO} maintainer`
	else
		echo "package info file does not exist";
		exit 1;
	fi
}

StopDaemon() {
	local mailclientd_pid_file="/run/synomailclientd.pid"
	local apid_pid_file="/run/MailClient/synoapid.pid"

	if [ -f ${mailclientd_pid_file} ]; then
		kill -s TERM `cat ${mailclientd_pid_file}`
	fi

	if [ -f ${apid_pid_file} ]; then
		kill -s TERM `cat ${apid_pid_file}`
	fi
}

#At begining, acquire package settings
PackageInfoGet;

NOTIFY_DAEMON_BIN="${PACKAGE_DIR}/target/tool/notify_daemon"

case $1 in
	--sdk-mod-ver)
		#print SDK support version
		echo "1.0"
	;;
	--name)
		#print package name
		echo ${PKG_NAME};
	;;
	--pkg-ver)
		#print package version
		echo ${PKG_VERSION}
	;;
	--vendor)
		#printf package vendor
		echo ${PKG_VENDOR};
	;;
	--pre)
	;;
	--post)
		if [ "0" != "${RESULT}" ]; then
			return
		fi

		# just kill daemon，upstart will start them
		StopDaemon
	;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac


